Contents
Index 🔎︎

# Str Function

Converts a numeric expression into a string.

## Syntax:

    Str (Expression)

## Return value:

String

## Parameters:

Expression: A numeric expression.

The Str function converts a numeric variable, or the result of a calculation into a string. Negative numbers are preceded by a minus sign. Positive numbers are preceded by a space (instead of the plus sign).

### Error codes:

5 Invalid procedure call

## Example:

    Sub ExampleStr
    Dim iVar As Single
    Dim sVar As String
        iVar = 123.123
        sVar = LTrim(Str(iVar))
        MsgBox sVar & chr(13) & Str(iVar)
    End Sub